MantisBT

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010160mantisbtotherpublic2009-02-25 05:562010-09-19 03:11
Reporterlvalics 
Assigned Todhx 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version1.2.0a3 
Target VersionFixed in Version 
Summary0010160: SVN integration with Mantis, add Time Tracking from SVN
DescriptionBased on this tutorial, which will be great to have in CORE Mantis, http://alt-tag.com/blog/archives/2006/11/integrating-mantis-and-subversion/ [^]

We modified to be possible to add Time Trackig.
Actually a developer when work on an issue, we also need for management the time spent on the task. So we need to capture TIME as well.

So we added t=hh:mm to the script.
Steps To Reproducefixed issue#BUGID t=hh:mm
Additional InformationRequire a new function and some modification in checkin.php

I will upload the 2 files what we have created and modified, hope this help.
Tagspatch
Attached Filesgz file icon mantis_time.tar.gz [^] (2,045 bytes) 2009-02-25 05:56

- Relationships
related to 0011732resolveddhx Remove built-in source code integration support 

-  Notes
User avatar (0022074)
vboctor (administrator)
2009-06-11 03:03

I haven't reviewed the patch. However, it would be a good capability to add to the check-in script as well as the 1.2.x source control integration plugin.
User avatar (0024950)
dhx (developer)
2010-03-31 03:56

I've submitted an issue report for implementing this functionality with the SourceIntegration/Timecard plugins at http://leetcode.net/mantis/view.php?id=123 [^]

As the old source code integration support is being dropped in favour of using a more modern plugin approach with the SourceIntegration plugin I've closed this issue as "won't fix".

Refer to 0011732 for more details and feedback.

- Issue History
Date Modified Username Field Change
2009-02-25 05:56 lvalics New Issue
2009-02-25 05:56 lvalics File Added: mantis_time.tar.gz
2009-06-11 03:01 vboctor Tag Attached: patch
2009-06-11 03:03 vboctor Note Added: 0022074
2009-06-11 03:03 vboctor Status new => acknowledged
2010-03-31 03:40 dhx Relationship added related to 0011732
2010-03-31 03:56 dhx Note Added: 0024950
2010-03-31 03:57 dhx Status acknowledged => resolved
2010-03-31 03:57 dhx Resolution open => won't fix
2010-03-31 03:57 dhx Assigned To => dhx
2010-09-19 03:11 dhx Status resolved => closed


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0737 seconds.
memory usage: 3,018 KB
Powered by Mantis Bugtracker